Skip to content
GBG Documents & Biometrics Documentation

/AgeEstimation

POST
/AgeEstimation
curl --request POST \
--url https://liveness-v2-eu.core.idscan.cloud/AgeEstimation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form FaceImage=@file \
--form 'AdditionalDetails={ "additionalProperty": "example" }'

Performs age estimation from an encrypted packet.

Age Estimation endpoint allows for an encrypted packet containing photograph to be uploaded for processing to estimate the age of the person in the image.

x-correlation-id
string

Correlation Id for the request

Media typemultipart/form-data
object
FaceImage

The face image containing the image data. Supported formats: JPEG, PNG. Maximum size: 4 MB.

string format: binary
AdditionalDetails

Additional metadata for the request.

object
key
additional properties
string
RequestId
string
CorrelationId
string

Returns the age estimation result.

Response from age estimation service.

object
correlationId
string
nullable
low

The low end of the estimated age range in years.

integer format: int32
high

The high end of the estimated age range in years.

integer format: int32
errorCode

Error code if any.

string
nullable
error

Error message if any.

string
nullable
additionalDetails

Additional details.

object
key
additional properties
string
nullable

Error with the provided parameters.

object
correlationId
string
nullable
errorMessage
string
nullable
errors
Array<string>
nullable

Internal error during processing.

object
correlationId
string
nullable
errorMessage
string
nullable
errors
Array<string>
nullable